Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1131825 - Review Request: qtile - Small, flexible, scriptable tiling window manager
Summary: Review Request: qtile - Small, flexible, scriptable tiling window manager
Keywords:
Status: CLOSED DUPLICATE of bug 1188093
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Dabašinskas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1140886
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-08-20 06:48 UTC by Christopher Meng
Modified: 2015-02-06 16:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-31 00:47:19 UTC
tdabasin: fedora-review?


Attachments (Terms of Use)
qtile startup (deleted)
2014-09-12 21:42 UTC, Athmane Madjoudj
no flags Details

Description Christopher Meng 2014-08-20 06:48:51 UTC
Spec URL: http://us-la.cicku.me/qtile.spec
SRPM URL: http://us-la.cicku.me/qtile-0.8.0-1.fc22.src.rpm
Description: Qtile is a full-featured, pure-Python tiling window manager.

Features:
---------
* Simple, small and extensible. It's easy to write your own layouts, widgets and commands.
* Configured in Python.
* Command shell that allows all aspects of Qtile to be managed and inspected.
* Complete remote scriptability - write scripts to set up workspaces, manipulate windows, update status bar widgets and more.
* Qtile's remote scriptability makes it one of the most thoroughly unit-tested window managers around.
Fedora Account System Username: cicku

Comment 1 Athmane Madjoudj 2014-09-12 21:42:50 UTC
Created attachment 937123 [details]
qtile startup

Thanks for packaging qtile, here's couple of notes that might help future reviewer:

1) Either remove shebang line (!#) or make .py files executable:


qtile.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/libqtile/confreader.py 0644L /usr/bin/env
qtile.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/libqtile/widget/bitcoin_ticker.py 0644L /usr/bin/env
qtile.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/libqtile/widget/yahoo_weather.py 0644L /usr/bin/env
qtile.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/libqtile/widget/sensors.py 0644L /usr/bin/env

2) You need to file a bug against pycairo since it was compiled without xpyd (python xcb binding) which makes qtile unable to starts, attached the output.

Comment 2 Athmane Madjoudj 2014-09-12 22:08:23 UTC
Regarding note 2, xcb and xpyb support has been enabled in 1.8.10-8


 %changelog
+* Sat Sep 07 2013 Tomas Dabasinskas <tdabasin@fedoraproject.org> - 1.8.10-8
+- Enabling xcb and xpyb
+


Ref: https://bugzilla.redhat.com/show_bug.cgi?id=1005447

Comment 3 Tomas Dabašinskas 2014-09-18 06:29:12 UTC
Many thanks Christopher!

Comment 4 Tomas Dabašinskas 2014-10-03 03:14:39 UTC
Taking up review

Comment 5 Tomas Dabašinskas 2014-10-03 04:47:33 UTC
Scratch build ok:
[packager@33b32ae1ef19 ~]$ koji build --scratch rawhide qtile-0.8.0-1.fc22.src.rpm 
Uploading srpm: qtile-0.8.0-1.fc22.src.rpm
[====================================] 100% 00:00:03 276.85 KiB  73.45 KiB/sec
Created task: 7752110
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7752110
Watching tasks (this may be safely interrupted)...
7752110 build (rawhide, qtile-0.8.0-1.fc22.src.rpm): open (buildvm-19.phx2.fedoraproject.org)
  7752111 buildArch (qtile-0.8.0-1.fc22.src.rpm, noarch): open (buildvm-03.phx2.fedoraproject.org)
  7752111 buildArch (qtile-0.8.0-1.fc22.src.rpm, noarch): open (buildvm-03.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
7752110 build (rawhide, qtile-0.8.0-1.fc22.src.rpm): open (buildvm-19.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

7752110 build (rawhide, qtile-0.8.0-1.fc22.src.rpm) completed successfully

/bin/qtile has import pkg_resources which is in python-setuptools, should it be included as Requires?

Having trouble with mock, unable to run fedora-review

Comment 6 Christopher Meng 2014-10-10 08:36:13 UTC
(In reply to Tomas Dabašinskas from comment #5)
> Scratch build ok:
> [packager@33b32ae1ef19 ~]$ koji build --scratch rawhide
> qtile-0.8.0-1.fc22.src.rpm 
> Uploading srpm: qtile-0.8.0-1.fc22.src.rpm
> [====================================] 100% 00:00:03 276.85 KiB  73.45
> KiB/sec
> Created task: 7752110
> Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=7752110
> Watching tasks (this may be safely interrupted)...
> 7752110 build (rawhide, qtile-0.8.0-1.fc22.src.rpm): open
> (buildvm-19.phx2.fedoraproject.org)
>   7752111 buildArch (qtile-0.8.0-1.fc22.src.rpm, noarch): open
> (buildvm-03.phx2.fedoraproject.org)
>   7752111 buildArch (qtile-0.8.0-1.fc22.src.rpm, noarch): open
> (buildvm-03.phx2.fedoraproject.org) -> closed
>   0 free  1 open  1 done  0 failed
> 7752110 build (rawhide, qtile-0.8.0-1.fc22.src.rpm): open
> (buildvm-19.phx2.fedoraproject.org) -> closed
>   0 free  0 open  2 done  0 failed
> 
> 7752110 build (rawhide, qtile-0.8.0-1.fc22.src.rpm) completed successfully
> 
> /bin/qtile has import pkg_resources which is in python-setuptools, should it
> be included as Requires?
> 
> Having trouble with mock, unable to run fedora-review

I will ask upstream about that.

Will you take this review? If so you can assign and change the bug status.

Thanks, I'm busy...

Comment 7 Raphael Groner 2015-01-12 10:55:17 UTC
As upstream seems to be very active, I would like to see a qtile package in Fedora. So I could be (co-)maintainer or take the review if you are lacking out of time or may like to give away ownership.

Comment 8 Tomas Dabašinskas 2015-01-12 23:26:48 UTC
Thanks for the offer Raphael, that would be great, please go ahead with the review. Please note python-setuptools  must be included as a dependency for qtile

Comment 9 Raphael Groner 2015-01-22 12:17:34 UTC
Proposed F22 Self Contained Change:
https://fedoraproject.org/wiki/Changes/qtile

Comment 10 Mairi Dulaney 2015-01-22 13:02:04 UTC
0.9.0 is the latest release of qtile; I have packaged the dependencies in Fedora and was planning on packaging 0.9.0.  I would suggest packaging the latest version; I'll gladly help.

Comment 11 Raphael Groner 2015-01-30 20:44:25 UTC
Who is the packager here? I can help with the review, mostly.

Comment 12 Mairi Dulaney 2015-01-30 23:48:41 UTC
No reply from  Christopher Meng in quite some time; as the deadline for getting things into F22 is coming fast, something needs to be done.  I have qtile 0.9 ready to go for a review request.  I would also like to point out that I had started pacaging deps for qtile prior to this review request.

Comment 13 Raphael Groner 2015-01-31 00:47:19 UTC
So I'll close as dead review cause it is quite obvious now. Feel free to duplicate (reopen) to start a new review process.

Comment 14 Raphael Groner 2015-02-06 16:31:28 UTC

*** This bug has been marked as a duplicate of bug 1188093 ***


Note You need to log in before you can comment on or make changes to this bug.